---
- name: Service php restart
  ansible.builtin.service:
    name: "{{ moodle_php_version }}-php-fpm"
    state: restarted

- name: Service httpd restart
  ansible.builtin.service:
    name: httpd
    state: restarted

- name: Reload NFS exports
  ansible.builtin.command: 'exportfs -ra'
  changed_when: false

- name: Restart NFS server
  ansible.builtin.service:
    name: nfs-server
    state: restarted

- name: Restart shibd
  ansible.builtin.service:
    name: shibd
    state: restarted

- name: Restart firewall
  ansible.builtin.service:
    name: firewalld
    state: restarted

- name: Restart server
  ansible.builtin.reboot:
    msg: "Reboot requested by Ansible"
